Msp setting
20 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getMspMailServerStatusGlobal | GET | Get MSP mailServer status |
| getMspDstInfo | GET | Get msp DST |
| getGeneralSetting | GET | Get msp general setting |
| modifyGeneralSetting | PATCH | Modify msp general setting |
| disableMspControllerUpgradeNotification | POST | Turn off the software update push switch in MSP mode |
| getPrivacyPolicyMsp | GET | Get msp privacy policy |
| getRemoteLoggingSetting_1 | GET | Get msp remote logging setting |
| modifyRemoteLoggingSetting | PATCH | Modify msp remote logging setting |
| getMspMailServer | GET | Get MSP mail server |
| modifyMspMailServer | PATCH | Modify MSP mail server |
| sendTestMailForMspV2 | POST | Send test mail for MSP |
| getMspUserInterface | GET | Get msp user interface |
| modifyMspUserInterface | PATCH | Modify msp user interface |
| uploadCertificate | POST | Upload msp certificate |
| deleteCertificate | DELETE | Delete an existing msp certificate |
| uploadSSLKey | POST | Upload msp SSL key |
| deleteSSLKey | DELETE | Delete an existing msp SSL key |
| getUiInterface_1 | GET | Get msp ui interface (deprecated) |
| modifyUiInterface_1 | PATCH | Modify msp ui interface (deprecated) |
| evaluateMspFeedback | POST | Evaluate MSP feedback |
getMspMailServerStatusGlobal
GET /openapi/v1/msp/{mspId}/account/mail-status
Get MSP mailServer status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspMailServerStatusGlobal"
}Details, permissions and error codes
Get MSP mailServer status
The interface requires one of the permissions:
MSP Other Settings View Only
MSP Users Manager View Only
MSP Export Data Access
getMspDstInfo
GET /openapi/v1/msp/{mspId}/dst-info
Get msp DST
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspDstInfo"
}getGeneralSetting
GET /openapi/v1/msp/{mspId}/general-setting
Get msp general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getGeneralSetting"
}Details, permissions and error codes
Get msp general setting
The interface requires one of the permissions:
MSP Other Settings View Only
modifyGeneralSetting
PATCH /openapi/v1/msp/{mspId}/general-setting
Modify msp general setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ModifyMspGeneralSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Parameter [name] should be within the range of 1–36 visible ASCII characters. |
timeZone | string | no | For the values of timeZone, refer to section 5.1 of the Open API Access Guide. |
dst | ModifyDstDTO | no | (ModifyDstDTO not expanded; call omada_get_schema "ModifyDstDTO") |
// omada_call_operation
{
"operationId": "modifyGeneralSetting",
"body": "{...}"
}Details, permissions and error codes
Modify msp general setting
The interface requires one of the permissions:
MSP Other Settings Modify
disableMspControllerUpgradeNotification
POST /openapi/v1/msp/{mspId}/notification/disable
Turn off the software update push switch in MSP mode
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "disableMspControllerUpgradeNotification"
}Details, permissions and error codes
Turn off the software update push switch in MSP mode.
The interface requires one of the permissions:
MSP Other Settings Modify
getPrivacyPolicyMsp
GET /openapi/v1/msp/{mspId}/privacy-policy
Get msp privacy policy
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getPrivacyPolicyMsp"
}Details, permissions and error codes
Get msp privacy policy
The interface requires one of the permissions:
MSP Other Settings View Only
getRemoteLoggingSetting_1
GET /openapi/v1/msp/{mspId}/remote-logging
Get msp remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getRemoteLoggingSetting_1"
}Details, permissions and error codes
Get msp remote logging setting
The interface requires one of the permissions:
MSP Other Settings View Only
modifyRemoteLoggingSetting
PATCH /openapi/v1/msp/{mspId}/remote-logging
Modify msp remote logging setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ModifyMspRemoteLoggingSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable the feature. |
host | string | no | The IP address of the remote log server. |
port | integer | no | Port of the remote log server, port should be within the range of 1-65535. |
// omada_call_operation
{
"operationId": "modifyRemoteLoggingSetting",
"body": "{...}"
}Details, permissions and error codes
Modify msp remote logging setting
The interface requires one of the permissions:
MSP Other Settings Modify
getMspMailServer
GET /openapi/v1/msp/{mspId}/settings/mail-server
Get MSP mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspMailServer"
}modifyMspMailServer
PATCH /openapi/v1/msp/{mspId}/settings/mail-server
Modify MSP mail server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema ModifyMailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
smtpEnable | boolean | no | Enable SMTP mail server |
smtpServer | string | yes | The domain name of the SMTP mailbox server. |
port | integer | yes | The port of the SMTP mailbox server,xxxx should be within the range of 1-65535 |
sslEnable | boolean | yes | Whether the SMTP mailbox server uses SSL encryption. |
authEnable | boolean | yes | Whether the SMTP email server uses basic authentication. |
username | string | no | The user's email address used for authentication. |
password | string | no | The user's email password used for authentication. |
senderAddress | string | no | The email address from which the message was sent. |
receiver | string | no | The email address where the message will be received. |
// omada_call_operation
{
"operationId": "modifyMspMailServer",
"body": "{...}"
}Details, permissions and error codes
Modify MSP mail server.
The interface requires one of the permissions:
MSP Other Settings Modify
sendTestMailForMspV2
POST /openapi/v1/msp/{mspId}/settings/test-mail
Send test mail for MSP
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema SendMailServerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
smtpEnable | boolean | no | Enable SMTP mail server |
smtpServer | string | yes | The domain name of the SMTP mailbox server. |
port | integer | yes | The port of the SMTP mailbox server,xxxx should be within the range of 1-65535 |
sslEnable | boolean | yes | Whether the SMTP mailbox server uses SSL encryption. |
authEnable | boolean | yes | Whether the SMTP email server uses basic authentication. |
username | string | no | The user's email address used for authentication. |
password | string | no | The user's email password used for authentication. |
senderAddress | string | no | The email address from which the message was sent. |
receiver | string | no | The email address where the message will be received. |
// omada_call_operation
{
"operationId": "sendTestMailForMspV2",
"body": "{...}"
}Details, permissions and error codes
Send test mail for MSP
The interface requires one of the permissions:
MSP Other Settings Modify
getMspUserInterface
GET /openapi/v1/msp/{mspId}/settings/user-interface
Get msp user interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getMspUserInterface"
}Details, permissions and error codes
Get msp user interface
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
modifyMspUserInterface
PATCH /openapi/v1/msp/{mspId}/settings/user-interface
Modify msp user interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema MspUserInterfaceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
refreshRate | integer | yes | It should be a value as follows: 0: 15 seconds; 1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh |
privateLabelingEnable | boolean | no | Enable private label. This field applies to the Omada Pro Controller only. |
privateLabelingUrl | string | no | The url of private label. This field applies to the Omada Pro Controller only. |
privateLabelingFileId | string | no | The file id of private label picture. This field applies to the Omada Pro Controller only. |
privateLabelingFileName | string | no | The file name of private label picture. This field applies to the Omada Pro Controller only. |
// omada_call_operation
{
"operationId": "modifyMspUserInterface",
"body": "{...}"
}Details, permissions and error codes
Modify msp user interface
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
uploadCertificate
POST /openapi/v1/msp/{mspId}/system/setting/certificate
Upload msp certificate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
cerName | query | string | yes | Upload certificate file name |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes | Upload certificate file |
// omada_call_operation
{
"operationId": "uploadCertificate",
"params": {
"cerName": "<cerName>"
},
"body": "{...}"
}Details, permissions and error codes
Upload msp certificate. Only support .pem, .pfx, .jks files. Certificate name should be the same as the file name.
The interface requires one of the permissions:
MSP Other Settings Modify
deleteCertificate
DELETE /openapi/v1/msp/{mspId}/system/setting/certificate/{cerId}
Delete an existing msp certificate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
cerId | path | string | yes | Certificate ID |
// omada_call_operation
{
"operationId": "deleteCertificate",
"params": {
"cerId": "<cerId>"
}
}Details, permissions and error codes
Delete an existing msp certificate.
uploadSSLKey
POST /openapi/v1/msp/{mspId}/system/setting/ssl-key
Upload msp SSL key
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
keyName | query | string | yes | SSL Key Name |
Request body — application/json (optional)
| Field | Type | Required | Description |
|---|---|---|---|
file | string (binary) | yes |
// omada_call_operation
{
"operationId": "uploadSSLKey",
"params": {
"keyName": "<keyName>"
},
"body": "{...}"
}Details, permissions and error codes
Upload msp SSL key. Only support .pem files.
The interface requires one of the permissions:
MSP Other Settings Modify
deleteSSLKey
DELETE /openapi/v1/msp/{mspId}/system/setting/ssl-key/{keyId}
Delete an existing msp SSL key
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
keyId | path | string | yes | SSL Key ID |
// omada_call_operation
{
"operationId": "deleteSSLKey",
"params": {
"keyId": "<keyId>"
}
}Details, permissions and error codes
Delete an existing msp SSL key.
The interface requires one of the permissions:
MSP Other Settings Modify
getUiInterface_1
GET /openapi/v1/msp/{mspId}/ui-interface
Deprecated
This operation is deprecated.
Get msp ui interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getUiInterface_1"
}Details, permissions and error codes
Get msp ui interface. This interface has been deprecated. Please use the following interface instead: Get msp user interface.
The interface requires one of the permissions:
MSP Other Settings View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
modifyUiInterface_1
PATCH /openapi/v1/msp/{mspId}/ui-interface
Deprecated
This operation is deprecated.
Modify msp ui interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema MspUiInterfaceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
language | integer | no | It should be a value as follows: 1: English; 4: German; 7: French; 8: Spanish; 10: Italian; 12: Portuguese; 13: Russian; 15: Turkish; 17: Japanese; 18: Traditional Chinese; 21: Korean |
use24hour | boolean | yes | |
fixedMenu | boolean | yes | |
theme | integer | no | It should be a value as follows: 0: default; 1: dark |
showPDevices | boolean | no | Show pending devices |
refreshBtnEnable | boolean | yes | Enable refresh button |
refreshRate | integer | yes | It should be a value as follows: 0: 15 seconds; 1: 1 minute; 2: 2 minutes; 3: 5 minutes; 4: never refresh |
websocketEnable | boolean | yes | Enable websocket connection |
controllerNotification | boolean | no | Enable controller upgrade notification |
privateLabelingEnable | boolean | no | Enable private label |
privateLabelingUrl | string | no | The url of private label |
privateLabelingFileId | string | no | The file id of private label picture |
privateLabelingFileName | string | no | The file name of private label picture |
// omada_call_operation
{
"operationId": "modifyUiInterface_1",
"body": "{...}"
}Details, permissions and error codes
Modify msp ui interface. This interface has been deprecated. Please use the following interface instead: Modify msp user interface.
The interface requires one of the permissions:
MSP Other Settings Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-7131 - Controller ID not exist.
evaluateMspFeedback
POST /openapi/v1/msp/{mspId}/users/feedback/evaluates
Evaluate MSP feedback
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema FeedbackOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
level | integer | yes | The rating of the controller service is in the range of 1~5. |
content | string | yes | Feedback and evaluation of the controller service. |
// omada_call_operation
{
"operationId": "evaluateMspFeedback",
"body": "{...}"
}